seo:
  title: GitLab 17.6リリース
  description: GitLab 17.6でリリースした最新機能をご紹介します。
  ogTitle: GitLab 17.6リリース
  ogDescription: GitLab 17.6でリリースした最新機能をご紹介します。
  noIndex: false
  ogImage: >-
    images/blog/hero-images/product-gl17-blog-release-cover-17-6-0093-1800x945-fy25.png
  ogUrl: https://about.gitlab.com/blog/gitlab-17-6-release
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/gitlab-17-6-release
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "GitLab 17.6リリース",
            "author": [{"@type":"Person","name":"GitLab Japan Team"}],
            "datePublished": "2024-11-21",
          }

content:
  title: GitLab 17.6リリース
  description: GitLab 17.6でリリースした最新機能をご紹介します。
  authors:
    - GitLab Japan Team
  heroImage: >-
    images/blog/hero-images/product-gl17-blog-release-cover-17-6-0093-1800x945-fy25.png
  date: '2024-11-21'
  body: "**セルフホストモデルが使用可能になったDuo Chat（ベータ版）を含むGitLab 17.6をリリース**\n\nこのたび、GitLab 17.6のリリースを発表しました。このリリースでは、セルフホストモデルが使用可能になったDuo Chat（ベータ版）、SASTとDASTセキュリティスキャナーの遵守チェック、脆弱性レポートのグループ化、モデルレジストリの一般提供など、さまざまな機能が追加されました！  \n\nこれらの機能は、今回のリリースに含まれる約150件の改善点のほんの一部です。この記事では、お役に立つアップデートをすべてご紹介していますので、ぜひ最後までお読みください。\n\nGitLab 17.6には、GitLabコミュニティのユーザーから265件ものコントリビュートがありました。ありがとうございました！GitLabは[誰もがコントリビュートできる](https://about.gitlab.com/community/contribute/)プラットフォームであり、今回のリリースはユーザーのみなさまの協力なしには実現しませんでした。  \n来月のリリースで予定されている内容を先取りするには、17.7リリースのキックオフビデオも視聴できる[今後のリリースページ](https://about.gitlab.com/direction/kickoff/)をご覧ください。\n\n> [GitLab 17.6では、セルフホストモデルが使用可能になったDuo Chatが追加されました。クリックしてSNSで共有しましょう！](http://twitter.com/share?text=GitLab+17.6+released+with+self-hosted+Duo+Chat+in+beta&url=https://about.gitlab.com/releases/2024/11/21/gitlab-17-6-released/&hashtags=)\n\n## 今月のMost Valuable Person [MVP](https://about.gitlab.com/community/mvp/)は[Joel Gerber](https://gitlab.com/Jitsusama)さんが受賞\n\nMVPには、誰もが[GitLabコミュニティのコントリビューターを推薦](https://gitlab.com/gitlab-org/developer-relations/contributor-success/team-task/-/issues/490)できます。現在の候補者を応援したり、他の誰かをノミネートしてみませんか。🙌  \n\nJoelさんは、CIコンポーネントへの非常に貴重なコントリビューターとしての実績に加え、マージリクエストに関する洞察に富んだフィードバックや複雑なディスカッションに対する思慮深いコメントを寄せたことが評価されました。Joelさんのコントリビュートには、[CI/CDカタログのUIの改良](https://gitlab.com/gitlab-org/gitlab/-/issues/464703)、要望の多かったGitLab Terraform Providerのドキュメントの改善、[ジョブログのタイムスタンプ](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/164595)、[UI/UXチームへのフィードバックの提供](https://gitlab.com/gitlab-org/gitlab/-/issues/482524#note_2089551197)などが挙げられます。  \n\n[HackerOne社](https://www.hackerone.com/)のスタッフソフトウェアエンジニアであるJoelさんのコントリビュートと貴重なフィードバックの提供実績を評価し、推薦したのは、[Lee Tickett](https://gitlab.com/leetickett-gitlab)です。Leeは、GitLabのコントリビューターサクセスチームに所属するスタッフフルスタックエンジニアです。 \n\nLeeに続き、GitLabのシニア製品デザイナーである[Gina Doyle](https://gitlab.com/gdoyle)も、Joelさんを推薦しました。「GitLabでは多くのディスカッションが行われていたため、MRのプロセスが複雑になっていました。そのような状態でも、Joelさんは忍耐強く、そして積極的にディスカッションに参加し続け、コントリビュートしてくれました」とGinaは述べています。  \n\nまた、GitLabのスタッフ製品デザイナーである[Sunjung Park](https://gitlab.com/sunjungp)も次のように述べ、Joelさんの功績を讃えました。「Joelさんは、CI/CDカタログのイシューであったUIの改良にもコントリビュートしてくれました。Joelさんのおかげで、ユーザーインターフェイスが整い、他のエリアとの一貫性も保たれています」  \n\nJoelさんのコントリビュートを始め、GitLabにコントリビュートしてくださっているオープンソースコミュニティのみなさまに心より感謝します！\n\n## GitLab 17.6でリリースされた主な改善点\n\n### セルフホストモデルが使用可能になったGitLab Duo Chat\n\nSaaS: -\n\nSelf-Managed: Ultimate、Duo Enterprise\n\n選択した大規模言語モデル（LLM）を独自のインフラストラクチャでホストし、そのモデルをGitLab Duo Chatのソースとして設定できるようになりました。この機能はベータ版です。UltimateとDuo Enterpriseのサブスクリプションをお持ちであれば、Self-ManagedのGitLab環境でご利用いただけます。\n\nセルフホストモデルを使用すると、オンプレミスまたはプライベートクラウドでホストされたモデルを、GitLab Duo ChatまたはGitLab Duoコード提案（ベータ機能としてGitLab 17.5で導入）のソースとして利用できます。コード提案は現在、vLLMまたはAWS BedrockではオープンソースのMistralモデル、AWS BedrockではClaude 3.5 Sonnet、Azure OpenAIではOpenAIモデルをサポートしています。Duo Chatでは、vLLMまたはAWS BedrockではオープンソースのMistralモデル、AWS BedrockではClaude 3.5 Sonnetをサポートしています。セルフホストモデルを利用することで、エンタープライズレベルのデータ主権とプライバシーを維持しながら、生成AIの力を活用できます。\n\n[イシュー501268](https://gitlab.com/gitlab-org/gitlab/-/issues/501268)から、ぜひフィードバックをお寄せください。\n\n[ドキュメント](https://docs.gitlab.com/ee/administration/self_hosted_models/)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/501267)\n\n<img src=\"https://about.gitlab.com/images/17_6/self-hosted-models-ui-17.6.png\">\n\n### マージリクエストのレビュアーの割り当ての強化\nSaaS: Premium、Ultimate\n\nSelf-Managed: Premium、Ultimate\n\n慎重に変更内容を練り上げて、マージリクエストを準備したら、次のステップはプロセスを進めてくれるレビュアーを特定することです。マージリクエストに対し適切なレビュアーを特定するには、承認者として誰が適切であるか、また、提案する変更に関連する分野の専門家（コードオーナー）が誰であるかを見極める必要があります。  \n\nレビュアーを割り当てる際は、サイドバーでマージリクエストの承認要件とレビュアーの関連付けを行います。各承認ルールを閲覧してから、その承認ルールを満たしてマージリクエストを実行できる承認者を選択します。[オプションの「コードオーナー」セクション](https://docs.gitlab.com/ee/user/project/codeowners/#make-a-code-owners-section-optional)を使用する場合は、これらのルールもサイドバーに表示されるため、変更内容に関連する分野を得意とするレビュアーを見つけるのに役立ちます。  \n\nこのレビュアーの割り当ての強化により、GitLabにおけるレビュアーの割り当てプロセスが飛躍的に向上しました。これまではどのレビュアーをアサインすればよいか見極めるのに悩むことがありましたが、過去の判定処理に基づいて強化された本機能でその悩みが解消されます。なお、[今後のレビュアーの割り当てのイテレーション](https://gitlab.com/groups/gitlab-org/-/epics/14808)では、レビュアーの推薦やランク付けを行う際に使用する判定処理を引き続き強化していく予定です。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/project/merge_requests/reviews/#request-a-review)\n\n[エピック](https://gitlab.com/groups/gitlab-org/-/epics/12878)\n\n<img src=\"https://about.gitlab.com/images/17_6/create-enhanced-reviewer-assignment.png\">\n\n### ワークスペースでのプライベートコンテナレジストリのサポート\n\nSaaS: Premium、Ultimate\n\nSelf-Managed: Premium、Ultimate\n\nGitLabワークスペースで、プライベートコンテナレジストリがサポートされるようになりました。この設定を使用すると、任意のプライベートレジストリからコンテナイメージをプルすることができます。Kubernetesクラスターに有効なイメージプルシークレットがあれば、[GitLabエージェントの設定](https://docs.gitlab.com/ee/user/workspace/gitlab_agent_configuration.html)からそのシークレットを参照できます。  \n\nこの機能により、特にカスタムコンテナレジストリやサードパーティのコンテナレジストリを使用するチームのワークフローが簡素化されるとともに、コンテナ化された開発環境の柔軟性とセキュリティが向上します。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/workspace/configuration.html#configure-support-for-private-container-registries)  \n[エピック](https://gitlab.com/groups/gitlab-org/-/epics/14664)\n\n<iframe width=\"560\" height=\"315\" src=\"https://www.youtube.com/embed/yPrJKAwwaB0?si=4PHEC08_xCy2xJ8B\" title=\"YouTube video player\" frameborder=\"0\" allow=\"accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share\" referrerpolicy=\"strict-origin-when-cross-origin\" allowfullscreen></iframe>\n\n### ワークスペースで拡張機能マーケットプレースが利用可能に\n\nSaaS: Premium、Ultimate\n\nSelf-Managed: Premium、Ultimate\n\nワークスペースで拡張機能マーケットプレースを利用できるようになりました。拡張機能マーケットプレースでは、サードパーティの拡張機能を検索、インストール、管理できるため、開発体験が向上します。何千種類もの拡張機能から選択して、生産性の向上、ワークフローのカスタマイズを実現できます。  \n\nデフォルトでは、拡張機能マーケットプレースは無効になっています。利用を開始するには、ユーザー環境設定に移動して、[拡張機能マーケットプレースを有効にする](https://docs.gitlab.com/ee/user/profile/preferences.html#integrate-with-the-extension-marketplace)をオンにします。エンタープライズユーザーの場合は、トップレベルグループのオーナーロールを持つユーザーのみが[拡張機能マーケットプレースを有効にする](https://docs.gitlab.com/ee/user/enterprise_user/#enable-the-extension-marketplace-for-the-web-ide-and-workspaces)をオンにできます。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/project/web_ide/index.html#extension-marketplace)  \n[エピック](https://gitlab.com/groups/gitlab-org/-/epics/12443)  \n\n<img src=\"https://about.gitlab.com/images/17_6/extensions-marketplace.png\">\n\n### 終了のタイミングの遅延によるワークスペースライフサイクルの改善に\n\nSaaS: Premium、Ultimate  \nSelf-Managed: Premium、Ultimate\n\n本リリースでは、設定したタイムアウトが経過すると、ワークスペースが終了する代わりに、停止するようになりました。この機能を使用すると、いつでもワークスペースを再起動して、中断したところから再開できます。  \nデフォルトでは、ワークスペースは自動的に以下のように動作します。\n\n* ワークスペースが最後に起動または再起動されてから36時間後に停止する  \n* ワークスペースが最後に停止してから722時間後に終了する\n\nこれらの設定は、[GitLabエージェントの設定](https://docs.gitlab.com/ee/user/workspace/gitlab_agent_configuration.html)で行うことができます。  \nこの機能を使用すると、ワークスペースは停止してから1か月間ほど利用可能なままとなり、ワークスペースのリソースを最適化しつつ、進捗を保持できます。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/workspace/#automatic-workspace-stop-and-termination)  \n[エピック](https://gitlab.com/groups/gitlab-org/-/epics/14910)\n\n<img src=\"https://about.gitlab.com/images/17_6/workspace-suspend.gif\">\n\n### デプロイの詳細ページでのリリースノートの表示\n\nSaaS: Free、Premium、Ultimate\n\nSelf-Managed: Free、Premium、Ultimate\n\n承認するよう求められたデプロイに一体何が含まれているのか、疑問に思ったことはありませんか。これまでのバージョンでは、リリース作成時に内容に関する詳細な説明やテスト手順を含めることはできたものの、関連する環境固有のデプロイに関してはデータが表示されませんでした。今回のリリースで、GitLabでは関連するデプロイの詳細ページにリリースノートが表示されるようになりました。  \n\nGitLabのリリースは必ずGitタグから作成されるため、タグによりトリガーされたパイプラインに関連するデプロイメントにのみ、リリースノートが表示されます。  \nGitLabのこの新機能は、[Anton Kalmykov](https://gitlab.com/antonkalmykov)さんがコントリビュートしてくれました。この場を借りて、Antonさんに感謝します！\n\n[ドキュメント](https://docs.gitlab.com/ee/ci/environments/deployment_approvals.html#view-blocked-deployments)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/493260)  \n<img src=\"https://about.gitlab.com/images/17_6/deploy-automatically-show-release-notes.png\">\n\n### 管理者設定により、CI/CDジョブトークン許可リストの使用を強制\n\nSaaS: -\n\nSelf-Managed: Free、Premium、Ultimate \n\n以前に、デフォルトのCI/CDジョブトークン（`CI_JOB_TOKEN`）の動作が[GitLab 18.0で変更される予定であり](https://docs.gitlab.com/ee/update/deprecations.html#default-cicd-job-token-ci_job_token-scope-changed)、引き続きプロジェクトにアクセスできるようにしたい場合は、明示的に個々の[プロジェクトやグループをプロジェクトのジョブトークン許可リスト](https://docs.gitlab.com/ee/ci/jobs/ci_job_token.html#add-a-group-or-project-to-the-job-token-allowlist)に追加する必要があることを発表しました。  \n\n本バージョンからSelf-ManagedおよびGitLab Dedicatedインスタンスの管理者は、インスタンス上のすべてのプロジェクトに対して、より安全性の高いこの設定を強制できるようになりました。この設定を有効にすると、プロジェクトにおいてCI/CDジョブトークンを認証に使用したい場合、必ず許可リストを使用する必要があります。*注：セキュリティポリシーの強化の一環として、この設定を有効にすることをおすすめします。*\n\n[ドキュメント](https://docs.gitlab.com/ee/administration/settings/continuous_integration.html#job-token-permissions)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/496647)  \n\n<img src=\"https://about.gitlab.com/images/17_6/allowlist_enforce_instance_toggle.png\">  \n\n### CI/CDジョブトークンによる認証の追跡\n\nSaaS: Free、Premium、Ultimate<br>\nSelf-Managed: Free、Premium、Ultimate\n\nこれまでは、CI/CDジョブトークンによる認証を利用してご自身のプロジェクトにアクセスしている他のプロジェクトを追跡する機能はありませんでした。今回のリリースで認証ログが追加され、プロジェクトへのアクセスを簡単に監査および管理できるようになりました。  \n\n認証ログでは、ご自身のプロジェクトでジョブトークンによる認証を行った他のプロジェクトのリストをUI上で閲覧できるほか、CSVファイルにしてダウンロードできます。このデータは、プロジェクトへのアクセスの監査に使用できます。また、[ご自身のプロジェクトにアクセスできるオブジェクトヘの制御](https://docs.gitlab.com/ee/ci/jobs/ci_job_token.html#control-job-token-access-to-your-project)を強化するために、ジョブトークン許可リストを作成する際に参考にできます。\n\n[ドキュメント](https://docs.gitlab.com/ee/ci/jobs/ci_job_token.html#job-token-authentication-log)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/467292)  \n<img src=\"https://about.gitlab.com/images/17_6/auth_log_allowlist.png\">\n\n### 脆弱性レポートのグループ化\n\nSaaS: Ultimate\n\nSelf-Managed: Ultimate\n\n脆弱性をグループ別に表示する機能は、ユーザーにとって必須です。セキュリティアナリストは、グループに対して一括操作を適用することで、最適な方法でタスクをトリアージしやすくなります。さらに、ユーザーは自分が担当するグループに一致する脆弱性の数（OWASPトップ10の脆弱性の数など）を閲覧できます。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/application_security/vulnerability_report/#group-vulnerabilities)  \n[エピック](https://gitlab.com/groups/gitlab-org/-/epics/10164)  \n<img src=\"https://about.gitlab.com/images/17_6/vulnerability_report_grouping.png\">\n\n### モデルレジストリの一般提供を開始\n\nSaaS: Free、Premium、Ultimate\n\nSelf-Managed: Free、Premium、Ultimate\n\nGitLabのモデルレジストリの一般提供を開始しました。モデルレジストリは、既存のGitLabワークフローの流れの中で、機械学習モデルを一元的に管理できるハブです。モデルバージョンの追跡、アーティファクトとメタデータの保存に加え、モデルカード内で包括的なドキュメントを保持できます。  \n\nモデルレジストリはシームレスに統合できるように構築されているため、[MLflowクライアント](https://docs.gitlab.com/ee/user/project/ml/experiment_tracking/mlflow_client.html)とネイティブに連携可能です。また、CI/CDパイプラインに直接接続し、自動化されたモデルのデプロイとテストを可能にします。データサイエンティストは、直感的なUIまたは既存のMLflowワークフローを介してモデルを管理できます。一方、MLOpsチームも、セマンティックバージョニングとCI/CDインテグレーションを活用して、[GitLab API](https://docs.gitlab.com/ee/api/model_registry.html)内で本番環境のデプロイをすべて効率化できます。  \n\n[フィードバックイシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/504458)からお気軽にご意見をお寄せください。こちらから折り返しご連絡いたします。GitLabインスタンスで**「デプロイ」\\>「モデルレジストリ」**の順にアクセスして、ぜひご利用ください。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/project/ml/model_registry/)  \n[エピック](https://gitlab.com/groups/gitlab-org/-/epics/14998)  \n<img src=\"https://about.gitlab.com/images/17_6/model-registry-17.6.png\">\n\n### GitLab Dedicated向けの新しいテナントネットワーク設定\n\nSaaS: -\n\nSelf-Managed: Ultimate\n\nGitLab Dedicatedのテナント管理者は、スイッチボードを使ってアウトバウンドプライベートリンクとプライベートホストゾーンを設定できるようになりました。また、スイッチボードで定期的にスナップショットを閲覧して、ネットワーク接続をモニタリングすることも可能です。\n\nアウトバウンドプライベートリンクとプライベートホストゾーンを設定することで、AWSアカウント内のリソースとGitLab Dedicated間でセキュアなネットワーク接続を確立できます。\n\n[ドキュメント](https://docs.gitlab.com/ee/administration/dedicated/configure_instance/network_security.html#outbound-private-link)  \n[イシュー](https://about.gitlab.com/direction/saas-platforms/switchboard/#fy25-q3)  \n<img src=\"https://about.gitlab.com/images/17_6/switchboard-tenant-networking-config.png\">\n\n### SASTとDASTセキュリティスキャナーの新しい遵守チェック\n\nSaaS: Ultimate\n\nSelf-Managed: Ultimate\n\nGitLabは、SAST、シークレット検出、依存関係スキャン、コンテナスキャンなど、幅広いセキュリティスキャナーを提供しており、これらを使用してアプリケーションにセキュリティの脆弱性が潜んでいないかチェックできます。\n何らかの方法で監査担当者や関係するコンプライアンス当局に対し、リポジトリへのセキュリティスキャナーの設定を義務付ける規制基準にアプリケーションが従っていることを示す必要があります。\n\n本リリースでは、こういった規制基準への遵守を証明するために、コンプライアンスセンターの基準遵守レポートに新しいチェックを2つ追加しました。新たに追加されたチェックは、グループ内のプロジェクトでSASTとDASTが有効になっているかどうかを点検します。これらのチェックにより、プロジェクトにおいてSASTとDASTセキュリティスキャナーが正しく実行され、パイプラインの実行により正しいアーティファクトを得られるかどうかを確かめることができます。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/compliance/compliance_center/compliance_standards_adherence_dashboard.html#gitlab-standard)  \n[エピック](https://gitlab.com/groups/gitlab-org/-/epics/12661)  \n<img src=\"https://about.gitlab.com/images/17_6/dast_scanner_adherence.png\">\n\n## GitLab 17.6のリリースに含まれるその他の改善点\n\n### グループWebhookのプロジェクトイベント\n\nSaaS: Premium、Ultimate\n\nSelf-Managed: Premium、Ultimate\n\nこのリリースでは、グループWebhookにプロジェクトイベントが追加されました。次のような場合に、プロジェクトイベントがトリガーされます。\n\n* グループ内にプロジェクトが作成されたとき  \n* グループ内でプロジェクトが削除されたとき\n\nこれらのイベントは、[グループWebhook](https://docs.gitlab.com/ee/user/project/integrations/webhooks.html#group-webhooks)に対してのみトリガーされます。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/project/integrations/webhook_events.html#project-events)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/359044)  \n\n### 任意のCI/CDジョブでのPagesサイトのデプロイ\n\nSaaS: Free、Premium、Ultimate\n\nSelf-Managed: Free、Premium、Ultimate\n\nPagesのデプロイジョブに「`pages`」という名前を付ける必要がなくなり、パイプラインをより柔軟に設計できるようになりました。今後は任意のCI/CDジョブで`pages`属性を使用するだけで、Pagesのデプロイをトリガーできます。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/project/pages/#user-defined-job-names)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/232505)  \n<img src=\"https://about.gitlab.com/images/17_6/customizable-pages-job-name.png\">\n\n### ユーザーレベルでのGitLab Duo Enterpriseの利用状況メトリクスの取得\n\nSaaS: Ultimate、Duo Enterprise\n\nSelf-Managed: Ultimate、Duo Enterprise\n\nこれまでのリリースでは、GitLab Duo EnterpriseユーザーごとにGitLab Duo Chatおよびコード提案の使用状況データを取得することはできませんでした。それに対する改善として、17.6では、アクティブなGitLab Duo Enterpriseユーザーごとに、コード提案の採用数とDuo Chatとのインタラクションを可視化するGraphQL APIを追加しました。このAPIを使用すると、誰がどのGitLab Duo Enterprise機能をどのくらいの頻度で使用しているかといった情報を、より詳細に把握できます。この改善は、GitLabにおいて[GitLab Duo Enterpriseのより包括的な使用状況データを提供する](https://gitlab.com/groups/gitlab-org/-/epics/15026)という目標に向けた最初のイテレーションです。\n\n[ドキュメント](https://docs.gitlab.com/ee/api/graphql/reference/#aiusermetrics)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/483049)  \n\n### GitLab Duoでの企業ネットワークサポート\n\nSaaS: Premium、Ultimate\n\nSelf-Managed: Premium、Ultimate\n\nGitLab Duoプラグインの最新アップデートで、高度なプロキシ認証が導入され、デベロッパーは強固なファイアウォールで守られている企業環境にもスムーズに接続できるようになりました。既存のHTTPプロキシサポートをベースに構築されたこの機能拡張により、認証された接続を確立できるだけでなく、VS CodeとJetBrains IDE内でGitLab Duo機能に安全な方法で中断なくアクセスすることが可能です。\n\nデベロッパーは制限されたネットワーク環境において安全な方法で認証して接続する必要があるため、今回のアップデートは非常に重要と言えるでしょう。これにより、セキュリティを損なうことなく、GitLab Duoの全機能を利用できます。\n\n[ドキュメント](https://docs.gitlab.com/ee/editor_extensions/language_server/#enable-proxy-authentication)  \n[イシュー](https://gitlab.com/gitlab-org/editor-extensions/gitlab-lsp/-/issues/159)  \n\n### GitLab Runner 17.6\n\nSaaS: Free、Premium、Ultimate\n\nSelf-Managed: Free、Premium、Ultimate\n\n本日、GitLab Runner 17.6もリリースされます！GitLab Runnerは、CI/CDジョブを実行し、結果をGitLabインスタンスに送信する、拡張性の高いビルドのエージェントです。GitLabに含まれるオープンソースの継続的インテグレーションサービスであるGitLab CI/CDと連携して動作します。  \n\nバグ修正\n\n* [GitLab Runner 17.5.0で、ポッドが追加できる状態にならない](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/38260)  \n* [フリートプラグインのインストール時に`exec format error`が発生して、Runnerがクラッシュする](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/38247)  \n* [OOMKill 実行時に、cgroup v2が有効であるKubernetes executerポッドがハングする  ](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/38244)\n* [設定テンプレートを使用してRunnerを登録すると、Runnerのデフォルトが適用されない](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/38231)  \n* [execモードを使用している場合、ポーリング期間中にKubernetesポッドが追加可能な状態になるまで、GitLab Runnerが待機状態になる](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/37244)  \n* [`FF_GIT_URLS_WITHOUT_TOKENS`機能フラグが有効な場合、認証の問題が発生する](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/38268)\n\n[ドキュメント](https://docs.gitlab.com/runner)  \n\n### macOS Sequoia 15およびXcode 16のジョブイメージ\n\nSaaS: Premium、Ultimate\n\nSelf-Managed: -\n\nmacOS Sequoia 15とXcode 16を使用して、最新世代のAppleデバイス向けアプリケーションを作成、テスト、デプロイできるようになりました。  \n\n[macOSにホストされているGitLab Runner](https://docs.gitlab.com/ee/ci/runners/hosted_runners/macos.html)を使用すれば、GitLab CI/CDと統合された安全なオンデマンドのビルド環境で、開発チームがmacOSアプリケーションをより迅速にビルドし、デプロイできます。\n\n`.gitlab-ci.yml`ファイルの`macos-15-xcode-16`イメージを使用して、ぜひお試しください。\n\n[ドキュメント](https://docs.gitlab.com/ee/ci/runners/hosted_runners/macos.html)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/502852)  \n\n### CI/CDジョブの環境でのGitLabエージェントの選択\n\nSaaS: Free、Premium、Ultimate\n\nSelf-Managed: Free、Premium、Ultimate\n\nKubernetes用のダッシュボードを使用するには、環境設定からKubernetesとの接続用エージェントを選択する必要があります。これまでは、UIまたはAPI（GitLab 17.5以降のバージョン）からしかエージェントを選択できなかったため、CI/CDからダッシュボードの設定を行うことはできませんでした。GitLab 17.6では、`environment.kubernetes.agent`構文を使用して、エージェント接続を設定できるようになりました。さらに、[イシュー500164](https://gitlab.com/gitlab-org/gitlab/-/issues/500164)では、CI/CDの設定からネームスペースとFluxリソースを選択できるようにすることを提案しています。\n\n[ドキュメント](https://docs.gitlab.com/ee/ci/environments/kubernetes_dashboard.html#configure-a-dashboard-for-a-dynamic-environment)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/467912)  \n\n### APIを介してプロジェクトでシークレットプッシュ保護を有効化\n\nSaaS: Ultimate\n\nSelf-Managed: Ultimate\n\nプログラムからさらに簡単にシークレットプッシュ保護を有効化できるようになりました。次のことを行えるように、アプリケーション設定のREST APIを更新しました。1. Self-Managedインスタンスで本機能を有効化し、プロジェクト単位で有効にする。2. プロジェクトで本機能が有効になっているかどうかを確認する。3. 指定したプロジェクトで本機能を有効にする。\n\n[ドキュメント](https://docs.gitlab.com/ee/api/projects.html)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/490358)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/490357)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/490359)  \n\n### CycloneDX SBOMに含まれるライセンスデータのサポート\n\nSaaS: Ultimate\n\nSelf-Managed: Ultimate\n\nライセンススキャナーで、[サポートされているパッケージタイプ](https://docs.gitlab.com/ee/user/compliance/license_scanning_of_cyclonedx_files/#supported-languages-and-package-managers)を含む、CycloneDX SBOMに格納されている依存関係のライセンスデータを使用できるようになりました。  \n\nCycloneDX SBOMの`licenses`フィールドが使用可能な場合、ユーザーのSBOMから取得されたライセンスデータが表示されます。SBOMにライセンス情報が含まれていない場合は、引き続きライセンスデータベースからライセンスデータが取得されます。\n\n[ドキュメント](https://docs.gitlab.com/ee/ci/yaml/artifacts_reports.html#artifactsreportscyclonedx)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/415935)  \n\n### 特権関連のアクションの監査イベント\n\nSaaS: -\n\nSelf-Managed: Free、Premium、Ultimate\n\n特権設定に関連する管理者アクションの監査イベントが追加されました。これらの設定が変更されたタイミングを記録することで、監査証跡が残るため、セキュリティを強化できます。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/compliance/audit_event_types.html#groups-and-projects)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/486532)  \n\n### 新しい場所からのサインインを通知するメールに情報を追加\n\nSaaS: -\n\nSelf-Managed: Free、Premium、Ultimate\n\nGitLabは、新しい場所からのサインインが検出された場合、オプションでメールを送信します。これまで、このメールにはIPアドレスしか記載されておらず、場所関連の情報は含まれていませんでした。本リリースから、メールに都市と国の情報も記載されるようになりました。\n\nこの場を借りて、コントリビュートしてくれた[Henry Helm](https://gitlab.com/shangsuru)さんに感謝します！  \n\n[ドキュメント](https://docs.gitlab.com/ee/user/profile/notifications.html#notifications-for-unknown-sign-ins)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/296128)  \n\n### サービスアカウントのバッジ\n\nSaaS: Premium、Ultimate\n\nSelf-Managed: Premium、Ultimate\n\nサービスアカウントに所定のバッジが付き、ユーザーリストで簡単に識別できるようになりました。これまでサービスアカウントに付いていたボットバッジのみでは、グループやプロジェクトアクセストークンと区別するのが困難でしたが、今回のリリースで改善されました。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/profile/service_accounts.html)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/439768)  \n<img src=\"https://about.gitlab.com/images/17_6/govern_serviceaccountbadge.png\">\n\n### シートの割り当て有無によるGitLab Duoユーザーのフィルタリング\n\nSaaS: Premium、Ultimate、GitLab Duo Pro、GitLab Duo Enterprise\n\nSelf-Managed:\_ Premium、Ultimate、GitLab Duo Pro、GitLab Duo Enterprise\n\nこれまでのバージョンのGitLabでは、GitLab Duoシート割り当てページに表示されるユーザーリストをフィルタリングすることができなかったため、過去にGitLab Duoシートが割り当てられたことがあるユーザーを検索することができませんでした。本リリースから「アサインされたシート = はい」または「アサインされたシート = いいえ」でユーザーリストをフィルタリングして、現在どのユーザーにGitLab Duoシートが割り当てられているのか、または割り当てられていないのかを確認できるようになり、シートの割り当てを簡単に調整できるようになりました。\n\n[ドキュメント](https://docs.gitlab.com/ee/subscriptions/subscription-add-ons.html#view-assigned-gitlab-duo-users)  \n[イシュー](https://gitlab.com/groups/gitlab-org/-/epics/14683)  \n<img src=\"https://about.gitlab.com/images/17_6/filter-users-by-assigned-duo-seat.png\">\n\n### GitLab Duo Pro向けのAIインパクト分析API\n\nSaaS: Premium、Ultimate、Duo Pro、Duo Enterprise\n\nSelf-Managed:\_ Premium、Ultimate、Duo Pro、Duo Enterprise\n\nGitLab Duo Proをご利用の方は、`aiMetrics` GraphQL APIを使ってAIインパクト分析メトリクスにプログラムからアクセスできるようになりました。メトリクスには、割り当て済みのGitLab Duoシート数、Duo Chatのユーザー数、コード提案のユーザー数が含まれます。APIを介して、コード提案に関する詳細情報（表示された回数や採用回数）も取得できます。このデータを参照することで、コード提案の採用率を計算できるほか、GitLab Duo ProユーザーによるDuo Chatとコード提案の導入状況をより明確に把握できます。また、AIインパクト分析メトリクスをバリューストリーム分析やDORAメトリクスと組み合わせれば、Duo Chatやコード提案の導入がチームの生産性にどのような影響を及ぼしているかをより深く理解することができます。\n\n[ドキュメント](https://docs.gitlab.com/ee/api/graphql/reference/#aimetrics)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/498497)  \n\n### 完了したアイテムをビューから簡単に削除できるように\n\nSaaS: Free、Premium、Ultimate\n\nSelf-Managed: Free、Premium、Ultimate\n\n「**クローズ済みアイテムを表示**」の切り替えをオフにすることで、リンクされたアイテムや子アイテムリストの完了したアイテムを非表示にできるようになりました。この機能の追加により、複雑なプロジェクトにおいて視覚的に邪魔な要素を整理できるようになったため、ビューをより自由に制御でき、進行中の作業に集中しやすくなりました。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/group/epics/manage_epics.html)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/456941)  \n<img src=\"https://about.gitlab.com/images/17_6/easily_remove_closed_items_from_your_view.png\">\n\n### リポジトリX-Rayの自動化\n\nSaaS: Premium、Ultimate、Duo Pro、Duo Enterprise\n\nSelf-Managed:\_ Premium、Ultimate、Duo Pro、Duo Enterprise\n\nリポジトリX-Rayは、プロジェクトの依存関係関連の追加のコンテキストを提供することで、コード推奨内容の正確性と関連性を向上させ、GitLab Duoコード提案のコード生成リクエストを強化します。これはコード生成の品質向上につながります。これまでリポジトリX-RayではCIジョブが使用されており、ユーザーが設定や管理を行う必要がありました。  \n本リリースから、新規コミットがプロジェクトのデフォルトブランチにプッシュされると、リポジトリX-Rayによって、リポジトリ内の該当する設定ファイルをスキャンして解析するバックグラウンドジョブが自動的にトリガーされるようになりました。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/project/repository/code_suggestions/repository_xray.html)  \n[イシュー](https://gitlab.com/groups/gitlab-org/-/epics/14100)  \n\n### マージを実行する日時設定が可能に\n\nSaaS: Free、Premium、Ultimate\n\nSelf-Managed: Free、Premium、Ultimate\n\nマージリクエストの中には、特定の日付または時間になるまで、マージの実行を保留する必要があるものもあります。その場合、その日付または時間になったら、マージ権限を持つユーザーを見つけて対応してもらわなければなりません。そのタイミングが勤務時間外だったり、必ずスケジュール通りにマージを実行しなければならなかったりする場合は、事前に誰かにタスクの対応を依頼しておく必要があるでしょう。  \n\n本リリースから、マージリクエストを作成または編集する際に、`merge after`を使用して日付を指定できるようになりました。この方法で日付を指定すると、その日付が過ぎるまでマージリクエストがマージされません。この新機能と以前リリースされた[自動マージの改善機能](https://about.gitlab.com/releases/2024/09/19/gitlab-17-4-released/#auto-merge-when-all-checks-pass)を組み合わせることで、マージリクエストのマージ実行を柔軟にスケジュールできるようになります。  \n\nこの場を借りて、素晴らしいコントリビュートをしてくれた[Niklas van Schrick](https://gitlab.com/Taucher2003)さんに感謝します！\n\n[ドキュメント](https://docs.gitlab.com/ee/user/project/merge_requests/auto_merge.html#prevent-merge-before-a-specific-date)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/14380)  \n<img src=\"https://about.gitlab.com/images/17_6/create-scheduled-merge.png\">\n\n### JaCoCoのテストカバレッジの可視化の一般提供を開始\n\nSaaS: Free、Premium、Ultimate\n\nSelf-Managed: Free、Premium、Ultimate\n\nマージリクエストの差分ビューで、JaCoCoのテストカバレッジ結果を直接確認できるようになりました。この可視化により、テストでどの行がカバーされていて、マージ前にどの行を追加でカバーする必要があるかを素早く特定できます。\n\n[ドキュメント](https://docs.gitlab.com/ee/ci/testing/test_coverage_visualization/jacoco.html)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/227345)  \n\n### `glab agent bootstrap` コマンドで新たに値をサポート\n\nSaaS: Free、Premium、Ultimate\n\nSelf-Managed: Free、Premium、Ultimate\n\n前回のリリースでは、GitLab CLIツールにおけるエージェントの立ち上げを簡単に行える機能を導入しました。GitLab 17.6では、カスタムHelm値に対応し、`glab cluster agent bootstrap`コマンドをさらに改善しました。`--helm-release-values`と`--helm-release-values-from`フラグを使用して、生成された`HelmRelease`リソースをカスタマイズできます。\n\n[ドキュメント](https://gitlab.com/gitlab-org/cli/-/blob/main/docs/source/cluster/agent/bootstrap.md#options)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/482844)  \n\n### EPSSによる効率的なリスクの優先順位付け\n\nSaaS: Ultimate\n\nSelf-Managed: Ultimate\n\nGitLab 17.6では、悪用予測スコアリングシステム（EPSS）のサポートを追加しました。EPSSは各共通脆弱性識別子（CVE）に0～1のスコアを付けて、今後30日以内にそのCVEが悪用される確率を示します。EPSSを活用すれば、スキャン結果の優先順位付けを改善できるほか、脆弱性によって環境に生じうる影響を評価できます。\n\nこのデータは、GraphQLを介してコンポジション解析ユーザーが利用できます。\n\n[ドキュメント](https://docs.gitlab.com/ee/api/graphql/reference/#cveenrichmenttype)  \n[イシュー](https://gitlab.com/groups/gitlab-org/-/epics/11544)  \n\n### 除外が適用されたシークレットプッシュ保護の監査イベントを記録\n\nSaaS: Ultimate\n\nSelf-Managed: Ultimate\n\nシークレットプッシュ保護の除外が適用された場合に、監査イベントが記録されるようになりました。これにより、セキュリティチームは、プロジェクトの除外リストに含まれるシークレットのプッシュが許可された場合に発生する出来事をすべて監査し、追跡できます。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/application_security/secret_detection/exclusions.html)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/492465)  \n\n### グループの保護ブランチの変更を防止\n\nSaaS: Ultimate\n\nSelf-Managed: Ultimate\n\nグループのブランチの変更を禁じるようにマージリクエストの承認ポリシーが設定されている場合、ポリシーにおいてグループに設定された保護ブランチが考慮されるようになりました。この設定が有効な場合、グループレベルで保護されたブランチの保護を解除することはできません。保護ブランチでは、ブランチの削除やブランチへの強制プッシュなど、特定のアクションが制限されます。新たに追加された`approval_settings.block_group_branch_modification`プロパティを使用して、この動作を上書きし、特定のトップレベルグループに対して例外を宣言すれば、グループオーナーが必要に応じて保護ブランチを一時的に変更できるようになります。  \n\nこの新たなプロジェクトの上書き設定により、グループの保護ブランチ設定を変更してセキュリティやコンプライアンス要件を回避することができなくなり、より安定した状態で保護ブランチを使用できます。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/application_security/policies/merge_request_approval_policies.html#approval_settings)  \n[エピック](https://gitlab.com/groups/gitlab-org/-/epics/13776)  \n<img src=\"https://about.gitlab.com/images/17_6/override-group-branches.png\">\n\n### OTP認証アプリとWebAuthnデバイスを個別に無効化\n\nSaaS: Free、Premium、Ultimate\n\nSelf-Managed: Free、Premium、Ultimate\n\nワンタイムパスワード（OTP）認証アプリとWebAuthnデバイスを個別または同時に無効にできるようになりました。これまではOTP認証アプリを無効にすると、WebAuthnデバイスも無効化されていました。個別に操作できるようになったことで、これらの認証方法をより細かく制御できるようになりました。\n\n[ドキュメント](https://docs.gitlab.com/ee/user/profile/account/two_factor_authentication.html#disable-two-factor-authentication)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/393419)  \n\n### マージリクエストのマージ時の新しい監査イベント\n\nSaaS: Ultimate\n\nSelf-Managed: Ultimate\n\n本リリースでは、マージリクエストのマージ時に`merge_request_merged`という新しいタイプの監査イベントがトリガーされるようになりました。この監査イベントには、次のようなマージリクエストに関する重要な情報が含まれます。\n\n* マージリクエストのタイトル  \n* マージリクエストの説明またはサマリー  \n* マージに必要な承認数  \n* マージに付与された承認数  \n* マージリクエストを承認したユーザー  \n* コミッターによるマージリクエストの承認有無  \n* 作成者によるマージリクエストの承認有無  \n* マージの日付や時刻  \n* コミット履歴から取得したSHAリスト\n\n[ドキュメント](https://docs.gitlab.com/ee/user/compliance/audit_event_types.html#compliance-management)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/442279)  \n\n### トップレベルグループのオーナーがサービスアカウントを作成できるように\n\nSaaS: -\n\nSelf-Managed: Premium、Ultimate\n\n現在、GitLab Self-Managedでサービスアカウントを作成できるのは管理者のみです。本リリースでは、トップレベルグループのオーナーに対してサービスアカウントの作成を許可するオプション設定が追加されました。これにより、管理者はロールの範囲を広げてサービスアカウントの作成を許可するか、管理者のみが許可されたタスクのままとするかを選択できます。\n\n[ドキュメント](https://docs.gitlab.com/ee/administration/settings/account_and_limit_settings.html#allow-top-level-group-owners-to-create-service-accounts)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/468806)  \n\n### APIの使用によるトークン関連情報の取得\n\nSaaS: -\n\nSelf-Managed: Free、Premium、Ultimate\n\n管理者は、新しいトークン情報のAPIを使用して、パーソナルアクセストークンに関する情報の取得、トークンのデプロイ、トークンへの入力を行えます。トークン情報が公開される他のAPIエンドポイントとは異なり、このエンドポイントを使用した場合、管理者はトークンの種類を知らなくてもトークン情報を取得できます。  \n\nこの場を借りて、コントリビュートしてくれた[Nicholas Wittstruck](https://gitlab.com/nwittstruck)さんを始め、シーメンス社の皆さまに感謝します！\n\n[ドキュメント](https://docs.gitlab.com/ee/api/admin/token.html)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/issues/443597)  \n\n### GitLab Duoシートの割り当てに関する通知メールのアップデート\n\nSaaS: -\n\nSelf-Managed: Premium、Ultimate、Duo Pro、Duo Enterprise\n\nSelf-Managedインスタンスの全ユーザーに対して、GitLab Duoシートが割り当てられたタイミングでメールが送信されるようになりました。  \n\nこれまでは、GitLab Duo Enterpriseシートが割り当てられたユーザーや、一括割り当てによってアクセスを許可されたユーザーには通知メールは送信されませんでした。そのため、ほかのユーザーに教えてもらうか、GitLab UIで新しい機能に気付かない限り、自分にシートが割り当てられていることを知ることはできませんでした。  \n\n管理者は`duo_seat_assignment_email_for_sm`という名前の機能フラグを無効にすることで、このメール通知を無効化できます。\n\n[ドキュメント](https://docs.gitlab.com/ee/subscriptions/subscription-add-ons.html#assign-gitlab-duo-seats)  \n[イシュー](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/170507)  \n\n## バグ修正、パフォーマンスの改善、UIの改善\n\nGitLabでは、ユーザーに可能な限り最高の環境をお届けできるよう尽力しています。リリースのたびに、バグを修正し、パフォーマンスを改善し、UIを向上させるためにたゆまぬ努力を続けています。GitLabは、100万人を超えるGitLab.comユーザーをはじめ、GitLabのプラットフォームを利用するすべての人にスムーズでシームレスな体験をお届けすることを約束します。  \n17.6で提供されたすべてのバグ修正、パフォーマンスの改善、UIの改善を確認するには、以下のリンクをクリックしてください。\n\n* [バグ修正](https://gitlab.com/groups/gitlab-org/-/issues/?sort=updated_desc&state=closed&label_name%5B%5D=type%3A%3Abug&or%5Blabel_name%5D%5B%5D=workflow%3A%3Acomplete&or%5Blabel_name%5D%5B%5D=workflow%3A%3Averification&or%5Blabel_name%5D%5B%5D=workflow%3A%3Aproduction&milestone_title=17.6)  \n* [パフォーマンスの改善](https://gitlab.com/groups/gitlab-org/-/issues/?sort=updated_desc&state=closed&label_name%5B%5D=bug%3A%3Aperformance&or%5Blabel_name%5D%5B%5D=workflow%3A%3Acomplete&or%5Blabel_name%5D%5B%5D=workflow%3A%3Averification&or%5Blabel_name%5D%5B%5D=workflow%3A%3Aproduction&milestone_title=17.6)  \n* [UIの改善](https://papercuts.gitlab.com/?milestone=17.6)\n\n## 非推奨事項\n\n削除されたすべての機能の一覧は、[GitLabのドキュメント](https://docs.gitlab.com/ee/update/deprecations.html)で確認できます。今後の破壊的な変更について通知を受け取るには、[破壊的な変更のRSSフィードにサブスクライブ](https://about.gitlab.com/breaking-changes.xml)してください。\n\n- [GitLab chart use of NGINX controller image v1.3.1](https://docs.gitlab.com/ee/update/deprecations.html#gitlab-chart-use-of-nginx-controller-image-v131)\n- [Removal of `migrationState` field in `ContainerRepository` GraphQL API](https://docs.gitlab.com/ee/update/deprecations.html#removal-of-migrationstate-field-in-containerrepository-graphql-api)\n- [Guest users can pull packages from private projects on GitLab.com](https://docs.gitlab.com/ee/update/deprecations.html#guest-users-can-pull-packages-from-private-projects-on-gitlabcom)\n- [Deprecate CI job implementation of Repository X-Ray](https://docs.gitlab.com/ee/update/deprecations.html#deprecate-ci-job-implementation-of-repository-x-ray)\n- [Pipeline subscriptions](https://docs.gitlab.com/ee/update/deprecations.html#pipeline-subscriptions)\n- [Pipelines API cancel endpoint returns error for non-cancelable pipelines](https://docs.gitlab.com/ee/update/deprecations.html#pipelines-api-cancel-endpoint-returns-error-for-non-cancelable-pipelines)\n\n## 削除された機能と破壊的な変更\n\n削除されたすべての機能の一覧は、[GitLabのドキュメント](https://docs.gitlab.com/ee/update/deprecations.html)で確認できます。今後の破壊的な変更について通知を受け取るには、[破壊的な変更のRSSフィードにサブスクライブ](https://about.gitlab.com/breaking-changes.xml)してください。\n\n### **変更履歴**\n\n変更内容をすべて表示するには、以下のページから変更履歴を確認してください。\n\n* [GitLab](https://gitlab.com/gitlab-org/gitlab-foss/blob/master/CHANGELOG.md)   \n* [GitLab Runner](https://gitlab.com/gitlab-org/gitlab-runner/blob/main/CHANGELOG.md)   \n* [VS CodeのGitLabワークフロー](https://gitlab.com/gitlab-org/gitlab-vscode-extension/-/blob/main/CHANGELOG.md)   \n* [GitLab CLI](https://gitlab.com/gitlab-org/cli/-/releases) \n\n### **インストール**\n\nGitLabを新規にインストールする場合は、[GitLabのダウンロードページ](https://about.gitlab.com/ja-jp/install/)をご覧ください。\n\n### **更新**\n\n[更新ページ](https://about.gitlab.com/ja-jp/update/)を確認してください。\n\n### **ご不明な点がある場合**\n\nご質問やご意見をお聞かせください。本リリースについてご不明な点がある場合は、[GitLabフォーラム](https://forum.gitlab.com/)にアクセスして質問を投稿してください。\n\n### **GitLabサブスクリプションプラン**\n\n* [Freeプラン](https://about.gitlab.com/pricing/) \n\n  個人ユーザー向けの永久無料機能を提供\n\n* [Premiumプラン](https://about.gitlab.com/pricing/premium/) \n\n  チームの生産性と調整を強化\n\n* [Ultimateプラン](https://about.gitlab.com/pricing/ultimate/) \n\n  組織全体のセキュリティ、コンプライアンス、プランニングに対応\n\n> GitLabのすべての機能を[30日間無料](https://gitlab.com/-/trial_registrations/new?glm_source=about.gitlab.com/blog&glm_content=default-saas-trial)でお試しいただけます。\n\n*監修：知念 梨果 [@rikachinen](https://gitlab.com/rikachinen)* <br>\n*（GitLab合同会社 カスタマーサクセス本部 カスタマーサクセスエンジニア）*\n\n### 過去の日本語リリース情報\n\n- [GitLab 17.9](https://about.gitlab.com/ja-jp/blog/2025/02/20/gitlab-17-9-release/)\n* [GitLab 17.8](https://about.gitlab.com/ja-jp/blog/2025/01/16/gitlab-17-8-release/)\n* [GitLab 17.7](https://about.gitlab.com/ja-jp/blog/2024/12/19/gitlab-17-7-release/)\n* [GitLab 17.6](https://about.gitlab.com/ja-jp/blog/2024/11/21/gitlab-17-6-release/)\n* [GitLab 17.5](https://about.gitlab.com/ja-jp/blog/2024/10/17/gitlab-17-5-released/)  \n* [GitLab 17.4](https://about.gitlab.com/ja-jp/blog/2024/09/19/gitlab-17-4-released/)  \n* [GitLab 17.3](https://about.gitlab.com/ja-jp/blog/2024/08/15/gitlab-17-3-released/)  \n* [GitLab 17.2](https://about.gitlab.com/ja-jp/blog/2024/07/18/gitlab-17-2-released/)  \n* [GitLab 17.1](https://about.gitlab.com/ja-jp/blog/2024/08/08/gitlab-17-1-released/)  \n* [GitLab 16.11](https://about.gitlab.com/ja-jp/blog/2024/06/20/gitlab-16-11-released/)"
  category: 製品
  tags:
    - AI/ML
    - releases
    - product
config:
  slug: gitlab-17-6-release
  featured: true
  template: BlogPost
